Commit 966f68ef authored by Pietro Abate's avatar Pietro Abate
Browse files

[r2005-07-08 12:32:51 by afrisch] Empty log message

Original author: afrisch
Date: 2005-07-08 12:37:28+00:00
parent 9607b9ed
Since 0.3.2 0.3.9
- Language:
* Added split_atom, make_atom. Removed atom_of. * Added split_atom, make_atom. Removed atom_of.
* Added char_of_int built_in function. * Added char_of_int built_in function.
* Now int_of also accepts octal binary and hexadecimals. * Now int_of also accepts octal binary and hexadecimals.
* The field access also works for XML element attributes. * The field access also works for XML element attributes.
* More catchable exceptions (for load_xml, load_file, etc).
* namespaces, schemas, "using" identifiers are now exported.
* "open" statement.
- Implementation:
* More efficient implementation of records at runtime. * More efficient implementation of records at runtime.
* Clean-up of the internal representation. * Clean-up of the internal representation.
* The functionality of cdo2ml is now assured by cduce itself, with
the --mlstub option.
* The XML Schemas are now parsed only at compile time. * The XML Schemas are now parsed only at compile time.
* The automata for pattern matching are now produced at compile time. * The automata for pattern matching are now produced at compile time.
- Tools:
* The functionality of cdo2ml is now assured by cduce itself, with
the --mlstub option.
* Remove the --dump option (which was deprecated). * Remove the --dump option (which was deprecated).
* Remove support for sessions in the web prototype. * Remove support for sessions in the web prototype.
* More catchable exceptions (for load_xml, load_file, etc).
- Bug fixes:
* Correct handling of external references with expat. * Correct handling of external references with expat.
* Installation problem under some BSD (using "install -c").
0.3.2 0.3.2
* Bug fix in configure * Bug fix in configure
......
...@@ -26,7 +26,7 @@ Mandatory packages: ...@@ -26,7 +26,7 @@ Mandatory packages:
Before compiling CDuce, you need to install recent releases of the Before compiling CDuce, you need to install recent releases of the
following packages: following packages:
ocaml >= 3.08.1 ocaml >= 3.08.3
http://caml.inria.fr/ocaml/distrib.html http://caml.inria.fr/ocaml/distrib.html
findlib >= 1.0.3 findlib >= 1.0.3
http://www.ocaml-programming.de/packages http://www.ocaml-programming.de/packages
...@@ -173,7 +173,7 @@ subdirectories) ...@@ -173,7 +173,7 @@ subdirectories)
Note for GODI users: Note for GODI users:
==================== ====================
The GODI distribution provided the required files by default. The GODI distribution provides the required files by default.
The configure script will detect them automatically. The configure script will detect them automatically.
......
...@@ -5,8 +5,6 @@ ...@@ -5,8 +5,6 @@
- Problem: a custom toplevel doesn't find ./cdo2ml (should put the path - Problem: a custom toplevel doesn't find ./cdo2ml (should put the path
to cduce's directory in the toplevel?) to cduce's directory in the toplevel?)
- Supprimer cdo2ml.1
====================================================================== ======================================================================
Alain 2005-06-18 Alain 2005-06-18
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment